diff options
author | Steven Augart <augart@watson.ibm.com> | 2005-01-11 19:24:20 +0000 |
---|---|---|
committer | Steven Augart <augart@watson.ibm.com> | 2005-01-11 19:24:20 +0000 |
commit | e5888f338dd2a39b311a7fc3aa30d5a2f5ea0f2f (patch) | |
tree | 25dd6eceff74c20870535bc21e626b96a01c4b64 /scripts | |
parent | 3806e6d054c381ff28a0580762a624ccaae35364 (diff) | |
download | classpath-e5888f338dd2a39b311a7fc3aa30d5a2f5ea0f2f.tar.gz |
2005-01-11 Steven Augart <augart@watson.ibm.com>
* scripts/check_jni_methods.sh: Portable to the OpenBSD
"mktemp", as used in Red Hat Linux 7.3.
Check whether "mktemp" fails; abort if it does.
Diffstat (limited to 'scripts')
-rwxr-xr-x | scripts/check_jni_methods.sh | 7 |
1 files changed, 4 insertions, 3 deletions
diff --git a/scripts/check_jni_methods.sh b/scripts/check_jni_methods.sh index 3b0be9db5..a49e71f15 100755 --- a/scripts/check_jni_methods.sh +++ b/scripts/check_jni_methods.sh @@ -1,8 +1,9 @@ #!/bin/sh -TMPFILE=`mktemp` -TMPFILE2=`mktemp` -TMPFILE3=`mktemp` +pattern=/tmp/check-jni-methods.XXXXXX +TMPFILE=`mktemp $pattern` || { echo >&2 "$0: Unable to make temp file; aborting" ; exit 3; } +TMPFILE2=`mktemp $pattern` || { echo >&2 "$0: Unable to make temp file; aborting" ; exit 3; } +TMPFILE3=`mktemp $pattern` || { echo >&2 "$0: Unable to make temp file; aborting" ; exit 3; } # Find all methods defined in the header files generated # from the java source files. |